Bug 532813 - Review Request: gummi - A simple LaTeX editor
Review Request: gummi - A simple LaTeX editor
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-03 17:19 EST by Fabian Affolter
Modified: 2010-01-01 22:39 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.4.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-01 22:32:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tomspur: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-11-03 17:19:28 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gummi.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gummi-0.4.2-1.fc11.src.rpm

Project URL: http://gummi.midnightcoding.org

Description:
Gummi is a LaTeX editor written in the Python programming language using
the PyGTK interface toolkit. It was designed with simplicity and the novice
user in mind, but also offers features that speak to the more advanced user.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1786646

rpmlint output:
[fab@laptop016 SRPMS]$ rpmlint gummi-0.4.2-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop016 noarch]$ rpmlint gummi-0.4.2-1.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Thomas Spura 2009-11-03 18:20:47 EST
Why do you have:
BuildRequires:  gtk2-devel
BuildRequires:  gnome-python2
BuildRequires:  gnome-python2-extras
BuildRequires:  pango
BuildRequires:  pygtksourceview

It builds without them:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1786917


Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: 
       [] devel/i386 
       [] devel/x86_64
       [] F11/i386 
       [x] F11/x86_64
 [x] Rpmlint output:
     $ rpmlint gummi.spec gummi-0.4.2-1.fc11.src.rpm noarch/gummi-0.4.2-1.fc11.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.


 [x] Buildroot is correct
     (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT

______________________________

 [!] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.

The license file is in /gummi/docs/LICENSE, but not in %doc

______________________________

 [x] Spec file is legible and written in American English.
 [?] Sources used to build the package matches the upstream source, as provided in the spec URL.
     Upstream source: e71a4c66ed3eed6e8072033f67decf13
     Build source:    e71a4c66ed3eed6e8072033f67decf13
 [x] Package is not known to require ExcludeArch

_______________________________

 [!] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.

See above.
_______________________________

 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [x] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Package functions as described (no hardware to test with).
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.


########################

Issues:
- License file not in %doc
- too much BR
Comment 2 Christoph Wickert 2009-11-03 18:51:25 EST
Please add "Publishing" as additional category during desktop-file-install to allow nested menus.

While we are at it: Please finish bug 510376 before requesting new reviews.
Comment 3 Susi Lehtola 2009-11-04 14:52:39 EST
While you're at it, replace
 Requires: texlive-latex
with
 Requires: tex(latex)
which is more general.
Comment 4 Christoph Wickert 2009-11-04 15:37:39 EST
Last but not least change the RPM group to ether Applications/Editors or Applications/Publishing (I prefer the latter).
Comment 5 Fabian Affolter 2009-12-20 15:52:54 EST
Thanks for your comments guys

Here are the updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gummi.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gummi-0.4.2-2.fc12.src.rpm
Comment 6 Thomas Spura 2009-12-21 19:27:56 EST
Status update:
- BR reduced         \
- License is there    \> (comment #1)
- Requires: tex(latex) (comment #3)
- Group changed to App/Publ (comment #4)
- Publishing also in desktop-file-install (comment #2)
  ( bug 510376 also close to finished ;) )

####################

All issues fixed.

####################


APPROVED
Comment 7 Fabian Affolter 2009-12-23 06:23:03 EST
New Package CVS Request
=======================
Package Name: gummi
Short Description: A simple LaTeX editor
Owners: fab
Branches: F-11 F-12
InitialCC:
Comment 8 Dennis Gilmore 2009-12-23 14:47:59 EST
CVS Done
Comment 9 Fedora Update System 2009-12-24 15:35:11 EST
gummi-0.4.2-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gummi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13599
Comment 10 Fedora Update System 2009-12-24 15:38:45 EST
gummi-0.4.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gummi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13631
Comment 11 Fedora Update System 2010-01-01 22:32:21 EST
gummi-0.4.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-01-01 22:39:25 EST
gummi-0.4.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.